Name:          extra-cmake-modules
Version:       1.8.0
Release:       1mamba
Summary:       Extra cmake modules used by kde framework
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/5.8/extra-cmake-modules-%{version}.tar.xz
License:       GPL
BuildRequires: automoc4
BuildRequires: cmake
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Extra cmake modules used by kde framework.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_datadir}/ECM
%dir %{_datadir}/ECM/cmake
%{_datadir}/ECM/cmake/ECMConfig.cmake
%{_datadir}/ECM/cmake/ECMConfigVersion.cmake
%dir %{_datadir}/ECM/find-modules
%{_datadir}/ECM/find-modules/*.cmake
%dir %{_datadir}/ECM/kde-modules
%{_datadir}/ECM/kde-modules/*.cmake
%dir %{_datadir}/ECM/modules
%{_datadir}/ECM/modules/*
%dir %{_datadir}/ECM/toolchain
%{_datadir}/ECM/toolchain/*
%dir %{_datadir}/doc/ECM/
%{_datadir}/doc/ECM/*
%{_mandir}/man7/ecm-developer.7*
%{_mandir}/man7/ecm-find-modules.7*
%{_mandir}/man7/ecm-kde-modules.7*
%{_mandir}/man7/ecm-modules.7*
%{_mandir}/man7/ecm-toolchains.7*
%{_mandir}/man7/ecm.7*

%changelog
* Thu Mar 19 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1mamba
- update to 1.8.0

* Sun Feb 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-1mamba
- update to 1.7.0

* Thu Jan 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- update to 1.6.1

* Wed Jan 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.9-1mamba
- package created using the webbuild interface
